var state = {
    L: false,
    Mid: false,
    R: false
};

function Effect() {
    var self = this;

    this.play = function() {
        Api.print(getEyesStatus()[0]+ " " + getEyesStatus()[1]);
        if(getEyesStatus()[0]) {
            Api.meshfxMsg("spawn", 1, 0, "light_L.bsm2");
            state.L = true;
        } else {
            Api.meshfxMsg("del", 1);
            state.L = false;
        }
        if (getEyesStatus()[1] || (!getEyesStatus()[0] && !getEyesStatus()[1])) {
            Api.meshfxMsg("spawn", 3, 0, "light_R.bsm2");
            state.R = true;
        } else if (getEyesStatus()[0]){
            Api.meshfxMsg("del", 3);
            state.R = false;
        }
    };

    this.init = function() {
        Api.meshfxMsg("spawn", 4, 0, "!glfx_FACE");

        Api.meshfxMsg("spawn", 0, 0, "bulb.bsm2");
        // Api.meshfxMsg("animOnce", 0, 0, "static");

        Api.meshfxMsg("shaderVec4", 0, 0, "1. 0. 0. 0.");

        Api.showHint("Smile");

        // Api.meshfxMsg("spawn", 1, 0, "light_L.bsm2");

        Api.meshfxMsg("spawn", 2, 0, "light_Mid.bsm2");
        state.Mid = true;

        // Api.meshfxMsg("spawn", 3, 0, "light_R.bsm2");
        // Api.meshfxMsg("animOnce", 3, 0, "static");

        Api.showRecordButton();
    };

    this.restart = function() {
        Api.meshfxReset();
        self.init();
    };

    this.faceActions = [this.play];
    this.noFaceActions = [];

    this.videoRecordStartActions = [];
    this.videoRecordFinishActions = [];
    this.videoRecordDiscardActions = [this.restart];
}

configure(new Effect());

function turnOffTheLights(){
    Api.meshfxMsg("del", 1);
    Api.meshfxMsg("del", 2);
    Api.meshfxMsg("del", 3);
    state.Mid = false;
    state.L = false;
    state.R = false;
}

function turnOnTheLights(){
    Api.meshfxMsg("spawn", 2, 0, "light_Mid.bsm2");
    Api.meshfxMsg("spawn", 1, 0, "light_L.bsm2");
    Api.meshfxMsg("spawn", 3, 0, "light_R.bsm2");
    state.Mid = true;
    state.L = true;
    state.R = true;
}